> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Organisation Dns Records Api Endpoint



## OpenAPI

````yaml https://platform.ankra.app/openapi.json get /api/v1/org/dns/records
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/org/dns/records:
    get:
      tags:
        - DNS Records
      summary: List Organisation Dns Records Api Endpoint
      operationId: list_organisation_dns_records_api_endpoint_api_v1_org_dns_records_get
      parameters:
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DnsRecordsListResult'
          description: Successful Response
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    DnsRecordsListResult:
      properties:
        items:
          items:
            $ref: '#/components/schemas/DnsRecordResponse'
          title: Items
          type: array
      required:
        - items
      title: DnsRecordsListResult
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    DnsRecordResponse:
      properties:
        id:
          title: Id
          type: string
        name:
          title: Name
          type: string
        record_type:
          title: Record Type
          type: string
        content:
          title: Content
          type: string
        ttl:
          anyOf:
            - type: integer
            - type: 'null'
          title: Ttl
        state:
          title: State
          type: string
        last_error:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Error
        created_by:
          type: string
          title: Created By
        created_at:
          title: Created At
          type: string
        updated_at:
          title: Updated At
          type: string
      required:
        - id
        - name
        - record_type
        - content
        - state
        - created_by
        - created_at
        - updated_at
      title: DnsRecordResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````